import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  accountSid: z.literal(true).optional(),
  authToken: z.literal(true).optional(),
  phoneNumber: z.literal(true).optional(),
  greetingMessage: z.literal(true).optional()
}).strict();
export const TwilioSettingsMaxAggregateInputObjectSchema: z.ZodType<Prisma.TwilioSettingsMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.TwilioSettingsMaxAggregateInputType>;
export const TwilioSettingsMaxAggregateInputObjectZodSchema = makeSchema();
